libnvme(2)

NAME
struct nvme_mi_msg_resp - Generic response type.

SYNOPSIS
struct nvme_mi_msg_resp {
struct nvme_mi_msg_hdr hdr;
__u8 status;
__u8 rsvd0[3];
};

Members

hdr the general request/response message header

status
    response status value (see enum nvme_mi_resp_status)

rsvd0
    reserved data, may be defined by specific response

Description
Every response will start with one of these; command-specific responses will define parts of the reserved data, and may add further fields.